#delimit ;

version 12.0;
drop _all;
set more off;
set linesize 200;


capture log close;
log using analysis_replication.txt, replace text;



/* TABLE 1, SUMMARY STATISTICS ON WEALTH */

use replication_dataset_main, clear;

sum real_1850       if ran_1850s == 1, detail;
sum total_1860      if ran_1860s == 1, detail;
sum total_1870      if ran_1870s == 1, detail;
sum servants_1850   if ran_1850s == 1;
sum servants_1860   if ran_1860s == 1;
sum servants_1870   if ran_1870s == 1;

sum real_1850       if ran_1850s == 1 & winner_1850s == 1, detail;
sum total_1860      if ran_1860s == 1 & winner_1860s == 1, detail;
sum total_1870      if ran_1870s == 1 & winner_1870s == 1, detail;
sum servants_1850   if ran_1850s == 1 & winner_1850s == 1;
sum servants_1860   if ran_1860s == 1 & winner_1860s == 1;
sum servants_1870   if ran_1870s == 1 & winner_1870s == 1;

sum real_1850       if ran_1850s == 1 & winner_1850s == 0, detail;
sum total_1860      if ran_1860s == 1 & winner_1860s == 0, detail;
sum total_1870      if ran_1870s == 1 & winner_1870s == 0, detail;
sum servants_1850   if ran_1850s == 1 & winner_1850s == 0;
sum servants_1860   if ran_1860s == 1 & winner_1860s == 0;
sum servants_1870   if ran_1870s == 1 & winner_1870s == 0;

sum real_1850       if ran_1850s == 1 & democ_1850s == 1, detail;
sum total_1860      if ran_1860s == 1 & democ_1860s == 1, detail;
sum total_1870      if ran_1870s == 1 & democ_1870s == 1, detail;
sum servants_1850   if ran_1850s == 1 & democ_1850s == 1;
sum servants_1860   if ran_1860s == 1 & democ_1860s == 1;
sum servants_1870   if ran_1870s == 1 & democ_1870s == 1;

sum real_1850       if ran_1850s == 1 & repub_1850s == 1, detail;
sum total_1860      if ran_1860s == 1 & repub_1860s == 1, detail;
sum total_1870      if ran_1870s == 1 & repub_1870s == 1, detail;
sum servants_1850   if ran_1850s == 1 & repub_1850s == 1;
sum servants_1860   if ran_1860s == 1 & repub_1860s == 1;
sum servants_1870   if ran_1870s == 1 & repub_1870s == 1;

sum real_1850       if ran_1850s == 1 & whig_1850s == 1, detail;
sum total_1860      if ran_1860s == 1 & whig_1860s == 1, detail;
sum total_1870      if ran_1870s == 1 & whig_1870s == 1, detail;
sum servants_1850   if ran_1850s == 1 & whig_1850s == 1;
sum servants_1860   if ran_1860s == 1 & whig_1860s == 1;
sum servants_1870   if ran_1870s == 1 & whig_1870s == 1;

sum real_1850       if ran_1850s == 1 & O_LAW == 1, detail;
sum total_1860      if ran_1860s == 1 & O_LAW == 1, detail;
sum total_1870      if ran_1870s == 1 & O_LAW == 1, detail;
sum servants_1850   if ran_1850s == 1 & O_LAW == 1;
sum servants_1860   if ran_1860s == 1 & O_LAW == 1;
sum servants_1870   if ran_1870s == 1 & O_LAW == 1;

sum CL_real_1850_1860     if ran_1850s == 1;
sum C_total_1860_1870     if ran_1860s == 1, detail;
sum CL_total_1860_1870    if ran_1860s == 1;
sum C_servants_1850_1860  if ran_1850s == 1;
sum C_servants_1860_1870  if ran_1860s == 1;
sum C_servants_1870_1880  if ran_1870s == 1;

sum CL_real_1850_1860     if ran_1850s == 1 & winner_1850s == 1;
sum C_total_1860_1870     if ran_1860s == 1 & winner_1860s == 1, detail;
sum CL_total_1860_1870    if ran_1860s == 1 & winner_1860s == 1;
sum C_servants_1850_1860  if ran_1850s == 1 & winner_1850s == 1;
sum C_servants_1860_1870  if ran_1860s == 1 & winner_1860s == 1;
sum C_servants_1870_1880  if ran_1870s == 1 & winner_1870s == 1;

sum CL_real_1850_1860     if ran_1850s == 1 & winner_1850s == 0;
sum C_total_1860_1870     if ran_1860s == 1 & winner_1860s == 0, detail;
sum CL_total_1860_1870    if ran_1860s == 1 & winner_1860s == 0;
sum C_servants_1850_1860  if ran_1850s == 1 & winner_1850s == 0;
sum C_servants_1860_1870  if ran_1860s == 1 & winner_1860s == 0;
sum C_servants_1870_1880  if ran_1870s == 1 & winner_1870s == 0;

sum CL_real_1850_1860     if ran_1850s == 1 & democ_1850s == 1;
sum C_total_1860_1870     if ran_1860s == 1 & democ_1860s == 1, detail;
sum CL_total_1860_1870    if ran_1860s == 1 & democ_1860s == 1;
sum C_servants_1850_1860  if ran_1850s == 1 & democ_1850s == 1;
sum C_servants_1860_1870  if ran_1860s == 1 & democ_1860s == 1;
sum C_servants_1870_1880  if ran_1870s == 1 & democ_1870s == 1;

sum CL_real_1850_1860     if ran_1850s == 1 & repub_1850s == 1;
sum C_total_1860_1870     if ran_1860s == 1 & repub_1860s == 1, detail;
sum CL_total_1860_1870    if ran_1860s == 1 & repub_1860s == 1;
sum C_servants_1850_1860  if ran_1850s == 1 & repub_1850s == 1;
sum C_servants_1860_1870  if ran_1860s == 1 & repub_1860s == 1;
sum C_servants_1870_1880  if ran_1870s == 1 & repub_1870s == 1;

sum CL_real_1850_1860     if ran_1850s == 1 & whig_1850s == 1;
sum C_total_1860_1870     if ran_1860s == 1 & whig_1860s == 1, detail;
sum CL_total_1860_1870    if ran_1860s == 1 & whig_1860s == 1;
sum C_servants_1850_1860  if ran_1850s == 1 & whig_1850s == 1;
sum C_servants_1860_1870  if ran_1860s == 1 & whig_1860s == 1;
sum C_servants_1870_1880  if ran_1870s == 1 & whig_1870s == 1;

sum CL_real_1850_1860     if ran_1850s == 1 & O_LAW == 1;
sum C_total_1860_1870     if ran_1860s == 1 & O_LAW == 1, detail;
sum CL_total_1860_1870    if ran_1860s == 1 & O_LAW == 1;
sum C_servants_1850_1860  if ran_1850s == 1 & O_LAW == 1;
sum C_servants_1860_1870  if ran_1860s == 1 & O_LAW == 1;
sum C_servants_1870_1880  if ran_1870s == 1 & O_LAW == 1;



/* TABLE 2, OLS RESULTS */

use replication_dataset_main, clear;

qreg total_1860     real_1850      age_*  O_*  REGION*  served_1850s                 if ran_1850s == 1;
reg  L_total_1860   L_real_1850    age_*  O_*  STATE*   served_1850s                 if ran_1850s == 1;
reg  servants_1860  servants_1850  age_*  O_*  STATE*   served_1850s                 if ran_1850s == 1;
qreg total_1870     total_1860     age_*  O_*  REGION*  served_1860s                 if ran_1860s == 1;
reg  L_total_1870   L_total_1860   age_*  O_*  STATE*   served_1860s                 if ran_1860s == 1;
reg  servants_1870  servants_1860  age_*  O_*  STATE*   served_1860s                 if ran_1860s == 1;
qreg total_1870     total_1860     age_*  O_*  REGION*  served_civwar served_nonwar  if ran_1860s == 1;
test served_civwar = served_nonwar;
reg  L_total_1870   L_total_1860   age_*  O_*  STATE*   served_civwar served_nonwar  if ran_1860s == 1;
test served_civwar = served_nonwar;
reg  servants_1870  servants_1860  age_*  O_*  STATE*   served_civwar served_nonwar  if ran_1860s == 1;
test served_civwar = served_nonwar;
reg  servants_1880  servants_1870  age_*  O_*  STATE*   served_1870s                 if ran_1870s == 1;



/* TABLE 3, BALANCE ON COVARIATES IN RDD SAMPLE */

ttest L_real_1850    if (L_real_1850  - L_total_1860 != . | servants_1850 - servants_1860 != .) & ran_1850s  == 1 & abs(fvs_1850s - .5) <= .03, by(winner_1850s_wf);
ttest L_total_1860  if (L_total_1860 - L_total_1870 != . | servants_1860 - servants_1870 != .) & ran_1860s  == 1 & abs(fvs_1860s - .5) <= .03, by(winner_1860s_wf);
ttest L_total_1860  if (L_total_1860 - L_total_1870 != . | servants_1860 - servants_1870 != .) & ran_civwar == 1 & abs(fvs_1860s - .5) <= .03, by(winner_civwar_wf);
ttest L_total_1860  if (L_total_1860 - L_total_1870 != . | servants_1860 - servants_1870 != .) & ran_nonwar == 1 & abs(fvs_1860s - .5) <= .03, by(winner_nonwar_wf);

ttest servants_1850  if (L_real_1850  - L_total_1860 != . | servants_1850 - servants_1860 != .) & ran_1850s  == 1 & abs(fvs_1850s - .5) <= .03, by(winner_1850s_wf);
ttest servants_1860  if (L_total_1860 - L_total_1870 != . | servants_1860 - servants_1870 != .) & ran_1860s  == 1 & abs(fvs_1860s - .5) <= .03, by(winner_1860s_wf);
ttest servants_1860  if (L_total_1860 - L_total_1870 != . | servants_1860 - servants_1870 != .) & ran_civwar == 1 & abs(fvs_1860s - .5) <= .03, by(winner_civwar_wf);
ttest servants_1860  if (L_total_1860 - L_total_1870 != . | servants_1860 - servants_1870 != .) & ran_nonwar == 1 & abs(fvs_1860s - .5) <= .03, by(winner_nonwar_wf);
ttest servants_1870  if servants_1870 != . & servants_1880 != .                                 & ran_1870s  == 1 & abs(fvs_1870s - .5) <= .03, by(winner_1870s_wf);

ttest age_1  if (L_real_1850  - L_total_1860 != . | servants_1850 - servants_1860 != .) & ran_1850s  == 1 & abs(fvs_1850s - .5) <= .03, by(winner_1850s_wf);
ttest age_1  if (L_total_1860 - L_total_1870 != . | servants_1860 - servants_1870 != .) & ran_1860s  == 1 & abs(fvs_1860s - .5) <= .03, by(winner_1860s_wf);
ttest age_1  if (L_total_1860 - L_total_1870 != . | servants_1860 - servants_1870 != .) & ran_civwar == 1 & abs(fvs_1860s - .5) <= .03, by(winner_civwar_wf);
ttest age_1  if (L_total_1860 - L_total_1870 != . | servants_1860 - servants_1870 != .) & ran_nonwar == 1 & abs(fvs_1860s - .5) <= .03, by(winner_nonwar_wf);
ttest age_1  if servants_1870 != . & servants_1880 != .                                 & ran_1870s  == 1 & abs(fvs_1870s - .5) <= .03, by(winner_1870s_wf);

ttest O_LAW  if (L_real_1850  - L_total_1860 != . | servants_1850 - servants_1860 != .) & ran_1850s  == 1 & abs(fvs_1850s - .5) <= .03, by(winner_1850s_wf);
ttest O_LAW  if (L_total_1860 - L_total_1870 != . | servants_1860 - servants_1870 != .) & ran_1860s  == 1 & abs(fvs_1860s - .5) <= .03, by(winner_1860s_wf);
ttest O_LAW  if (L_total_1860 - L_total_1870 != . | servants_1860 - servants_1870 != .) & ran_civwar == 1 & abs(fvs_1860s - .5) <= .03, by(winner_civwar_wf);
ttest O_LAW  if (L_total_1860 - L_total_1870 != . | servants_1860 - servants_1870 != .) & ran_nonwar == 1 & abs(fvs_1860s - .5) <= .03, by(winner_nonwar_wf);
ttest O_LAW  if servants_1870 != . & servants_1880 != .                                 & ran_1870s  == 1 & abs(fvs_1870s - .5) <= .03, by(winner_1870s_wf);

ttest O_MMB  if (L_real_1850  - L_total_1860 != . | servants_1850 - servants_1860 != .) & ran_1850s  == 1 & abs(fvs_1850s - .5) <= .03, by(winner_1850s_wf);
ttest O_MMB  if (L_total_1860 - L_total_1870 != . | servants_1860 - servants_1870 != .) & ran_1860s  == 1 & abs(fvs_1860s - .5) <= .03, by(winner_1860s_wf);
ttest O_MMB  if (L_total_1860 - L_total_1870 != . | servants_1860 - servants_1870 != .) & ran_civwar == 1 & abs(fvs_1860s - .5) <= .03, by(winner_civwar_wf);
ttest O_MMB  if (L_total_1860 - L_total_1870 != . | servants_1860 - servants_1870 != .) & ran_nonwar == 1 & abs(fvs_1860s - .5) <= .03, by(winner_nonwar_wf);
ttest O_MMB  if servants_1870 != . & servants_1880 != .                                 & ran_1870s  == 1 & abs(fvs_1870s - .5) <= .03, by(winner_1870s_wf);

ttest O_FARM  if (L_real_1850  - L_total_1860 != . | servants_1850 - servants_1860 != .) & ran_1850s  == 1 & abs(fvs_1850s - .5) <= .03, by(winner_1850s_wf);
ttest O_FARM  if (L_total_1860 - L_total_1870 != . | servants_1860 - servants_1870 != .) & ran_1860s  == 1 & abs(fvs_1860s - .5) <= .03, by(winner_1860s_wf);
ttest O_FARM  if (L_total_1860 - L_total_1870 != . | servants_1860 - servants_1870 != .) & ran_civwar == 1 & abs(fvs_1860s - .5) <= .03, by(winner_civwar_wf);
ttest O_FARM  if (L_total_1860 - L_total_1870 != . | servants_1860 - servants_1870 != .) & ran_nonwar == 1 & abs(fvs_1860s - .5) <= .03, by(winner_nonwar_wf);
ttest O_FARM  if servants_1870 != . & servants_1880 != .                                 & ran_1870s  == 1 & abs(fvs_1870s - .5) <= .03, by(winner_1870s_wf);

ttest democ_1850s  if (L_real_1850  - L_total_1860 != . | servants_1850 - servants_1860 != .) & ran_1850s  == 1 & abs(fvs_1850s - .5) <= .03, by(winner_1850s_wf);
ttest democ_1860s  if (L_total_1860 - L_total_1870 != . | servants_1860 - servants_1870 != .) & ran_1860s  == 1 & abs(fvs_1860s - .5) <= .03, by(winner_1860s_wf);
ttest democ_1860s  if (L_total_1860 - L_total_1870 != . | servants_1860 - servants_1870 != .) & ran_civwar == 1 & abs(fvs_1860s - .5) <= .03, by(winner_civwar_wf);
ttest democ_1860s  if (L_total_1860 - L_total_1870 != . | servants_1860 - servants_1870 != .) & ran_nonwar == 1 & abs(fvs_1860s - .5) <= .03, by(winner_nonwar_wf);
ttest democ_1870s  if servants_1870 != . & servants_1880 != .                                 & ran_1870s  == 1 & abs(fvs_1870s - .5) <= .03, by(winner_1870s_wf);



/* TABLE 4, RDD RESULTS */

use replication_dataset_main, clear;

qreg total_1860     real_1850      age_*  O_*  REGION*  fvs_1850s_d_1 fvs_1850s_d_1_w  winner_1850s_wf                    if abs(fvs_1850s - .5) <= .03 & ran_1850s == 1;
reg  L_total_1860   L_real_1850    age_*  O_*  STATE*   fvs_1850s_d_1 fvs_1850s_d_1_w  winner_1850s_wf                    if abs(fvs_1850s - .5) <= .03 & ran_1850s == 1;
reg  servants_1860  servants_1850  age_*  O_*  STATE*   fvs_1850s_d_1 fvs_1850s_d_1_w  winner_1850s_wf                    if abs(fvs_1850s - .5) <= .03 & ran_1850s == 1;
qreg total_1870     total_1860     age_*  O_*  REGION*  fvs_1860s_d_1 fvs_1860s_d_1_w  winner_1860s_wf                    if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
reg  L_total_1870   L_total_1860   age_*  O_*  STATE*   fvs_1860s_d_1 fvs_1860s_d_1_w  winner_1860s_wf                    if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
reg  servants_1870  servants_1860  age_*  O_*  STATE*   fvs_1860s_d_1 fvs_1860s_d_1_w  winner_1860s_wf                    if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
qreg total_1870     total_1860     age_*  O_*  REGION*  fvs_1860s_d_1 fvs_1860s_d_1_w  winner_civwar_wf winner_nonwar_wf  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
test winner_civwar_wf = winner_nonwar_wf;
reg  L_total_1870   L_total_1860   age_*  O_*  STATE*   fvs_1860s_d_1 fvs_1860s_d_1_w  winner_civwar_wf winner_nonwar_wf  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
test winner_civwar_wf = winner_nonwar_wf;
reg  servants_1870  servants_1860  age_*  O_*  STATE*   fvs_1860s_d_1 fvs_1860s_d_1_w  winner_civwar_wf winner_nonwar_wf  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
test winner_civwar_wf = winner_nonwar_wf;
reg  servants_1880  servants_1870  age_*  O_*  STATE*   fvs_1870s_d_1 fvs_1870s_d_1_w  winner_1870s_wf                    if abs(fvs_1870s - .5) <= .03 & ran_1870s == 1;

qreg total_1860     real_1850      age_*  O_*  REGION*  fvs_1860s_d_1 fvs_1860s_d_1_w  winner_civwar_wf winner_nonwar_wf  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1 & served_1850s == 0;
test winner_civwar_wf = winner_nonwar_wf;
reg  L_total_1860   L_real_1850    age_*  O_*  STATE*   fvs_1860s_d_1 fvs_1860s_d_1_w  winner_civwar_wf winner_nonwar_wf  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1 & served_1850s == 0;
test winner_civwar_wf = winner_nonwar_wf;
reg  servants_1860  servants_1850  age_*  O_*  STATE*   fvs_1860s_d_1 fvs_1860s_d_1_w  winner_civwar_wf winner_nonwar_wf  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1 & served_1850s == 0;
test winner_civwar_wf = winner_nonwar_wf;



/* TABLE 5, EXPLORING MECHANISMS OF WEALTH ACCUMULATION DURING THE CIVIL WAR -- CONTRACT STATES VS. OTHER STATES */

use replication_dataset_main, clear;

qreg total_1870     total_1860     age_*  O_*  REGION*  fvs_1860s_d_1 fvs_1860s_d_1_w  contract_civwar_wf noncontract_civwar_wf contract_nonwar_wf noncontract_nonwar_wf  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
test contract_civwar_wf = noncontract_civwar_wf;
test contract_civwar_wf = contract_nonwar_wf;
test contract_civwar_wf = noncontract_nonwar_wf;
reg  L_total_1870   L_total_1860   age_*  O_*  STATE*   fvs_1860s_d_1 fvs_1860s_d_1_w  contract_civwar_wf noncontract_civwar_wf contract_nonwar_wf noncontract_nonwar_wf  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
test contract_civwar_wf = noncontract_civwar_wf;
test contract_civwar_wf = contract_nonwar_wf;
test contract_civwar_wf = noncontract_nonwar_wf;
reg  servants_1870  servants_1860  age_*  O_*  STATE*   fvs_1860s_d_1 fvs_1860s_d_1_w  contract_civwar_wf noncontract_civwar_wf contract_nonwar_wf noncontract_nonwar_wf  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
test contract_civwar_wf = noncontract_civwar_wf;
test contract_civwar_wf = contract_nonwar_wf;
test contract_civwar_wf = noncontract_nonwar_wf;

qreg total_1860     real_1850      age_*  O_*  REGION*  fvs_1860s_d_1 fvs_1860s_d_1_w  contract_civwar_wf noncontract_civwar_wf contract_nonwar_wf noncontract_nonwar_wf  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1 & served_1850s==0;
test contract_civwar_wf = noncontract_civwar_wf;
test contract_civwar_wf = contract_nonwar_wf;
test contract_civwar_wf = noncontract_nonwar_wf;
reg  L_total_1860   L_real_1850    age_*  O_*  STATE*   fvs_1860s_d_1 fvs_1860s_d_1_w  contract_civwar_wf noncontract_civwar_wf contract_nonwar_wf noncontract_nonwar_wf  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1 & served_1850s==0;
test contract_civwar_wf = noncontract_civwar_wf;
test contract_civwar_wf = contract_nonwar_wf;
test contract_civwar_wf = noncontract_nonwar_wf;
reg  servants_1860  servants_1850  age_*  O_*  STATE*   fvs_1860s_d_1 fvs_1860s_d_1_w  contract_civwar_wf noncontract_civwar_wf contract_nonwar_wf noncontract_nonwar_wf  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1 & served_1850s==0;
test contract_civwar_wf = noncontract_civwar_wf;
test contract_civwar_wf = contract_nonwar_wf;
test contract_civwar_wf = noncontract_nonwar_wf;



/* TABLE 6, EXPLORING MECHANISMS OF WEALTH ACCUMULATION DURING THE CIVIL WAR -- TOP COMMITTEES VS. OTHER COMMITTEES */

use replication_dataset_main, clear;

qreg total_1870     total_1860     age_*  O_*  REGION*  topcomm_civwar  nontopcomm_civwar  topcomm_nonwar  nontopcomm_nonwar  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
display (_b[topcomm_civwar] - _b[nontopcomm_civwar]) - (_b[topcomm_nonwar] - _b[nontopcomm_nonwar]);
test topcomm_civwar - nontopcomm_civwar = topcomm_nonwar - nontopcomm_nonwar;
reg  L_total_1870   L_total_1860   age_*  O_*  STATE*   topcomm_civwar  nontopcomm_civwar  topcomm_nonwar  nontopcomm_nonwar  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
display (_b[topcomm_civwar] - _b[nontopcomm_civwar]) - (_b[topcomm_nonwar] - _b[nontopcomm_nonwar]);
test topcomm_civwar - nontopcomm_civwar = topcomm_nonwar - nontopcomm_nonwar;
reg  servants_1870  servants_1860  age_*  O_*  STATE*   topcomm_civwar  nontopcomm_civwar  topcomm_nonwar  nontopcomm_nonwar  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
display (_b[topcomm_civwar] - _b[nontopcomm_civwar]) - (_b[topcomm_nonwar] - _b[nontopcomm_nonwar]);
test topcomm_civwar - nontopcomm_civwar = topcomm_nonwar - nontopcomm_nonwar;

qreg total_1860     real_1850      age_*  O_*  REGION*  topcomm_civwar  nontopcomm_civwar  topcomm_nonwar  nontopcomm_nonwar  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1 & served_1850s==0;
display (_b[topcomm_civwar] - _b[nontopcomm_civwar]) - (_b[topcomm_nonwar] - _b[nontopcomm_nonwar]);
test topcomm_civwar - nontopcomm_civwar = topcomm_nonwar - nontopcomm_nonwar;
reg  L_total_1860   L_real_1850    age_*  O_*  STATE*   topcomm_civwar  nontopcomm_civwar  topcomm_nonwar  nontopcomm_nonwar  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1 & served_1850s==0;
display (_b[topcomm_civwar] - _b[nontopcomm_civwar]) - (_b[topcomm_nonwar] - _b[nontopcomm_nonwar]);
test topcomm_civwar - nontopcomm_civwar = topcomm_nonwar - nontopcomm_nonwar;
reg  servants_1860  servants_1850  age_*  O_*  STATE*   topcomm_civwar  nontopcomm_civwar  topcomm_nonwar  nontopcomm_nonwar  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1 & served_1850s==0;
display (_b[topcomm_civwar] - _b[nontopcomm_civwar]) - (_b[topcomm_nonwar] - _b[nontopcomm_nonwar]);
test topcomm_civwar - nontopcomm_civwar = topcomm_nonwar - nontopcomm_nonwar;



/* TABLE A.1. ROBUSTNESS CHECKS FOR TABLE 4 (2% WINDOW AND 3% WINDOW WITH NO LOCAL-LINEAR, AND 5% WITH LOCAL LINEAR) */

use replication_dataset_main, clear;

qreg total_1860     real_1850      age_*  O_*  REGION*  winner_1850s_wf                    if abs(fvs_1850s - .5) <= .02 & ran_1850s == 1;
reg  L_total_1860   L_real_1850    age_*  O_*  STATE*   winner_1850s_wf                    if abs(fvs_1850s - .5) <= .02 & ran_1850s == 1;
reg  servants_1860  servants_1850  age_*  O_*  STATE*   winner_1850s_wf                    if abs(fvs_1850s - .5) <= .02 & ran_1850s == 1;
qreg total_1870     total_1860     age_*  O_*  REGION*  winner_1860s_wf                    if abs(fvs_1860s - .5) <= .02 & ran_1860s == 1;
reg  L_total_1870   L_total_1860   age_*  O_*  STATE*   winner_1860s_wf                    if abs(fvs_1860s - .5) <= .02 & ran_1860s == 1;
reg  servants_1870  servants_1860  age_*  O_*  STATE*   winner_1860s_wf                    if abs(fvs_1860s - .5) <= .02 & ran_1860s == 1;
qreg total_1870     total_1860     age_*  O_*  REGION*  winner_civwar_wf winner_nonwar_wf  if abs(fvs_1860s - .5) <= .02 & ran_1860s == 1;
test winner_civwar_wf = winner_nonwar_wf;
reg  L_total_1870   L_total_1860   age_*  O_*  STATE*   winner_civwar_wf winner_nonwar_wf  if abs(fvs_1860s - .5) <= .02 & ran_1860s == 1;
test winner_civwar_wf = winner_nonwar_wf;
reg  servants_1870  servants_1860  age_*  O_*  STATE*   winner_civwar_wf winner_nonwar_wf  if abs(fvs_1860s - .5) <= .02 & ran_1860s == 1;
test winner_civwar_wf = winner_nonwar_wf;
reg  servants_1880  servants_1870  age_*  O_*  STATE*   winner_1870s_wf                    if abs(fvs_1870s - .5) <= .02 & ran_1870s == 1;

qreg total_1860     real_1850      age_*  O_*  REGION*  winner_1850s_wf                    if abs(fvs_1850s - .5) <= .03 & ran_1850s == 1;
reg  L_total_1860   L_real_1850    age_*  O_*  STATE*   winner_1850s_wf                    if abs(fvs_1850s - .5) <= .03 & ran_1850s == 1;
reg  servants_1860  servants_1850  age_*  O_*  STATE*   winner_1850s_wf                    if abs(fvs_1850s - .5) <= .03 & ran_1850s == 1;
qreg total_1870     total_1860     age_*  O_*  REGION*  winner_1860s_wf                    if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
reg  L_total_1870   L_total_1860   age_*  O_*  STATE*   winner_1860s_wf                    if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
reg  servants_1870  servants_1860  age_*  O_*  STATE*   winner_1860s_wf                    if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
qreg total_1870     total_1860     age_*  O_*  REGION*  winner_civwar_wf winner_nonwar_wf  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
test winner_civwar_wf = winner_nonwar_wf;
reg  L_total_1870   L_total_1860   age_*  O_*  STATE*   winner_civwar_wf winner_nonwar_wf  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
test winner_civwar_wf = winner_nonwar_wf;
reg  servants_1870  servants_1860  age_*  O_*  STATE*   winner_civwar_wf winner_nonwar_wf  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
test winner_civwar_wf = winner_nonwar_wf;
reg  servants_1880  servants_1870  age_*  O_*  STATE*   winner_1870s_wf                    if abs(fvs_1870s - .5) <= .03 & ran_1870s == 1;

qreg total_1860     real_1850      age_*  O_*  REGION*  fvs_1850s_d_1 fvs_1850s_d_1_w  winner_1850s_wf                    if abs(fvs_1850s - .5) <= .05 & ran_1850s == 1;
reg  L_total_1860   L_real_1850    age_*  O_*  STATE*   fvs_1850s_d_1 fvs_1850s_d_1_w  winner_1850s_wf                    if abs(fvs_1850s - .5) <= .05 & ran_1850s == 1;
reg  servants_1860  servants_1850  age_*  O_*  STATE*   fvs_1850s_d_1 fvs_1850s_d_1_w  winner_1850s_wf                    if abs(fvs_1850s - .5) <= .05 & ran_1850s == 1;
qreg total_1870     total_1860     age_*  O_*  REGION*  fvs_1860s_d_1 fvs_1860s_d_1_w  winner_1860s_wf                    if abs(fvs_1860s - .5) <= .05 & ran_1860s == 1;
reg  L_total_1870   L_total_1860   age_*  O_*  STATE*   fvs_1860s_d_1 fvs_1860s_d_1_w  winner_1860s_wf                    if abs(fvs_1860s - .5) <= .05 & ran_1860s == 1;
reg  servants_1870  servants_1860  age_*  O_*  STATE*   fvs_1860s_d_1 fvs_1860s_d_1_w  winner_1860s_wf                    if abs(fvs_1860s - .5) <= .05 & ran_1860s == 1;
qreg total_1870     total_1860     age_*  O_*  REGION*  fvs_1860s_d_1 fvs_1860s_d_1_w  winner_civwar_wf winner_nonwar_wf  if abs(fvs_1860s - .5) <= .05 & ran_1860s == 1;
test winner_civwar_wf = winner_nonwar_wf;
reg  L_total_1870   L_total_1860   age_*  O_*  STATE*   fvs_1860s_d_1 fvs_1860s_d_1_w  winner_civwar_wf winner_nonwar_wf  if abs(fvs_1860s - .5) <= .05 & ran_1860s == 1;
test winner_civwar_wf = winner_nonwar_wf;
reg  servants_1870  servants_1860  age_*  O_*  STATE*   fvs_1860s_d_1 fvs_1860s_d_1_w  winner_civwar_wf winner_nonwar_wf  if abs(fvs_1860s - .5) <= .05 & ran_1860s == 1;
test winner_civwar_wf = winner_nonwar_wf;
reg  servants_1880  servants_1870  age_*  O_*  STATE*   fvs_1870s_d_1 fvs_1870s_d_1_w  winner_1870s_wf                    if abs(fvs_1870s - .5) <= .05 & ran_1870s == 1;



/* TABLE A.2. ROBUSTNESS CHECKS FOR TABLE 5 */

use replication_dataset_main, clear;

qreg total_1870     total_1860     age_*  O_*  REGION*  contract_civwar_wf noncontract_civwar_wf contract_nonwar_wf noncontract_nonwar_wf  if abs(fvs_1860s - .5) <= .02 & ran_1860s == 1;
test contract_civwar_wf = noncontract_civwar_wf;
test contract_civwar_wf = contract_nonwar_wf;
test contract_civwar_wf = noncontract_nonwar_wf;
reg  L_total_1870   L_total_1860   age_*  O_*  STATE*   contract_civwar_wf noncontract_civwar_wf contract_nonwar_wf noncontract_nonwar_wf  if abs(fvs_1860s - .5) <= .02 & ran_1860s == 1;
test contract_civwar_wf = noncontract_civwar_wf;
test contract_civwar_wf = contract_nonwar_wf;
test contract_civwar_wf = noncontract_nonwar_wf;
reg  servants_1870  servants_1860  age_*  O_*  STATE*   contract_civwar_wf noncontract_civwar_wf contract_nonwar_wf noncontract_nonwar_wf  if abs(fvs_1860s - .5) <= .02 & ran_1860s == 1;
test contract_civwar_wf = noncontract_civwar_wf;
test contract_civwar_wf = contract_nonwar_wf;
test contract_civwar_wf = noncontract_nonwar_wf;
qreg total_1870     total_1860     age_*  O_*  REGION*  contract_civwar_wf noncontract_civwar_wf contract_nonwar_wf noncontract_nonwar_wf  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
test contract_civwar_wf = noncontract_civwar_wf;
test contract_civwar_wf = contract_nonwar_wf;
test contract_civwar_wf = noncontract_nonwar_wf;
reg  L_total_1870   L_total_1860   age_*  O_*  STATE*   contract_civwar_wf noncontract_civwar_wf contract_nonwar_wf noncontract_nonwar_wf  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
test contract_civwar_wf = noncontract_civwar_wf;
test contract_civwar_wf = contract_nonwar_wf;
test contract_civwar_wf = noncontract_nonwar_wf;
reg  servants_1870  servants_1860  age_*  O_*  STATE*   contract_civwar_wf noncontract_civwar_wf contract_nonwar_wf noncontract_nonwar_wf  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
test contract_civwar_wf = noncontract_civwar_wf;
test contract_civwar_wf = contract_nonwar_wf;
test contract_civwar_wf = noncontract_nonwar_wf;

qreg total_1870     total_1860     age_*  O_*  REGION*  fvs_1860s_d_1 fvs_1860s_d_1_w  contract_civwar_wf noncontract_civwar_wf contract_nonwar_wf noncontract_nonwar_wf  if abs(fvs_1860s - .5) <= .05 & ran_1860s == 1;
test contract_civwar_wf = noncontract_civwar_wf;
test contract_civwar_wf = contract_nonwar_wf;
test contract_civwar_wf = noncontract_nonwar_wf;
reg  L_total_1870   L_total_1860   age_*  O_*  STATE*   fvs_1860s_d_1 fvs_1860s_d_1_w  contract_civwar_wf noncontract_civwar_wf contract_nonwar_wf noncontract_nonwar_wf  if abs(fvs_1860s - .5) <= .05 & ran_1860s == 1;
test contract_civwar_wf = noncontract_civwar_wf;
test contract_civwar_wf = contract_nonwar_wf;
test contract_civwar_wf = noncontract_nonwar_wf;
reg  servants_1870  servants_1860  age_*  O_*  STATE*   fvs_1860s_d_1 fvs_1860s_d_1_w  contract_civwar_wf noncontract_civwar_wf contract_nonwar_wf noncontract_nonwar_wf  if abs(fvs_1860s - .5) <= .05 & ran_1860s == 1;
test contract_civwar_wf = noncontract_civwar_wf;
test contract_civwar_wf = contract_nonwar_wf;
test contract_civwar_wf = noncontract_nonwar_wf;



/* TABLE A.3, TOP COMMITTEES VS. OTHER COMMITTEES, ROBUSTNESS -- FULL SAMPLE */

use replication_dataset_main, clear;

qreg total_1870     total_1860     age_*  O_*  REGION*  topcomm_civwar  nontopcomm_civwar  topcomm_nonwar  nontopcomm_nonwar  if ran_1860s == 1;
display (_b[topcomm_civwar] - _b[nontopcomm_civwar]) - (_b[topcomm_nonwar] - _b[nontopcomm_nonwar]);
test topcomm_civwar - nontopcomm_civwar = topcomm_nonwar - nontopcomm_nonwar;
reg  L_total_1870   L_total_1860   age_*  O_*  STATE*   topcomm_civwar  nontopcomm_civwar  topcomm_nonwar  nontopcomm_nonwar  if ran_1860s == 1;
display (_b[topcomm_civwar] - _b[nontopcomm_civwar]) - (_b[topcomm_nonwar] - _b[nontopcomm_nonwar]);
test topcomm_civwar - nontopcomm_civwar = topcomm_nonwar - nontopcomm_nonwar;
reg  servants_1870  servants_1860  age_*  O_*  STATE*   topcomm_civwar  nontopcomm_civwar  topcomm_nonwar  nontopcomm_nonwar  if ran_1860s == 1;
display (_b[topcomm_civwar] - _b[nontopcomm_civwar]) - (_b[topcomm_nonwar] - _b[nontopcomm_nonwar]);
test topcomm_civwar - nontopcomm_civwar = topcomm_nonwar - nontopcomm_nonwar;

qreg total_1860     real_1850      age_*  O_*  REGION*  topcomm_civwar  nontopcomm_civwar  topcomm_nonwar  nontopcomm_nonwar  if ran_1860s == 1 & served_1850s == 0;
display (_b[topcomm_civwar] - _b[nontopcomm_civwar]) - (_b[topcomm_nonwar] - _b[nontopcomm_nonwar]);
test topcomm_civwar - nontopcomm_civwar = topcomm_nonwar - nontopcomm_nonwar;
reg  L_total_1860   L_real_1850    age_*  O_*  STATE*   topcomm_civwar  nontopcomm_civwar  topcomm_nonwar  nontopcomm_nonwar  if ran_1860s == 1 & served_1850s == 0;
display (_b[topcomm_civwar] - _b[nontopcomm_civwar]) - (_b[topcomm_nonwar] - _b[nontopcomm_nonwar]);
test topcomm_civwar - nontopcomm_civwar = topcomm_nonwar - nontopcomm_nonwar;
reg  servants_1860  servants_1850  age_*  O_*  STATE*   topcomm_civwar  nontopcomm_civwar  topcomm_nonwar  nontopcomm_nonwar  if ran_1860s == 1 & served_1850s == 0;
display (_b[topcomm_civwar] - _b[nontopcomm_civwar]) - (_b[topcomm_nonwar] - _b[nontopcomm_nonwar]);
test topcomm_civwar - nontopcomm_civwar = topcomm_nonwar - nontopcomm_nonwar;



/* TABLE A.4, LARGE WAR CONTRACT STATES VS. OTHER STATES, AND MILITARY SPENDING COMMITTEES VS. OTHER COMMITTEES, DURING THE 1850S AND 1870S */ 

use replication_dataset_main, clear;

qreg  total_1860    real_1850      age_*  O_* REGION* fvs_1850s_d_1 fvs_1850s_d_1_w  contract_1850s_wf noncontract_1850s_wf  if abs(fvs_1850s - .5) <= .03 & ran_1850s == 1;
test contract_1850s_wf=noncontract_1850s_wf;
reg  L_total_1860   L_real_1850    age_*  O_* STATE*  fvs_1850s_d_1 fvs_1850s_d_1_w  contract_1850s_wf noncontract_1850s_wf  if abs(fvs_1850s - .5) <= .03 & ran_1850s == 1;
test contract_1850s_wf=noncontract_1850s_wf;
reg  servants_1860  servants_1850  age_*  O_* STATE*  fvs_1850s_d_1 fvs_1850s_d_1_w  contract_1850s_wf noncontract_1850s_wf  if abs(fvs_1850s - .5) <= .03 & ran_1850s == 1;
test contract_1850s_wf=noncontract_1850s_wf;
reg  servants_1880  servants_1870  age_*  O_* STATE*  fvs_1870s_d_1 fvs_1870s_d_1_w  contract_1870s_wf noncontract_1870s_wf  if abs(fvs_1870s - .5) <= .03 & ran_1870s == 1;
test contract_1870s_wf=noncontract_1870s_wf;
qreg  total_1860    real_1850      age_*  O_* REGION* topcomm_1850s  nontopcomm_1850s  if ran_1850s == 1;
test topcomm_1850s=nontopcomm_1850s;
reg  L_total_1860   L_real_1850    age_*  O_* STATE*  topcomm_1850s  nontopcomm_1850s  if ran_1850s == 1;
test topcomm_1850s=nontopcomm_1850s;
reg  servants_1860  servants_1850  age_*  O_* STATE*  topcomm_1850s  nontopcomm_1850s  if ran_1850s == 1;
test topcomm_1850s=nontopcomm_1850s;
reg  servants_1880  servants_1870  age_*  O_* STATE*  topcomm_1870s  nontopcomm_1870s  if ran_1870s == 1;
test topcomm_1870s=nontopcomm_1870s;


/* TABLE A.5, RDD RESULTS SPLIT BY PARTY */

use replication_dataset_main, clear;

gen winner_1850s_wf_maj  = (winner_1850s_wf == 1)  * (majority_1850s == 1) if winner_1850s_wf != .  & majority_1850s != .;
gen winner_1850s_wf_min  = (winner_1850s_wf == 1)  * (majority_1850s == 0) if winner_1850s_wf != .  & majority_1850s != .;
gen winner_1860s_wf_maj  = (winner_1860s_wf == 1)  * (majority_1860s == 1) if winner_1860s_wf != .  & majority_1860s != .;
gen winner_1860s_wf_min  = (winner_1860s_wf == 1)  * (majority_1860s == 0) if winner_1860s_wf != .  & majority_1860s != .;
gen winner_1870s_wf_maj  = (winner_1870s_wf == 1)  * (majority_1870s == 1) if winner_1870s_wf != .  & majority_1870s != .;
gen winner_1870s_wf_min  = (winner_1870s_wf == 1)  * (majority_1870s == 0) if winner_1870s_wf != .  & majority_1870s != .;
gen loser_1850s_wf_maj   = (winner_1850s_wf == 0)  * (majority_1850s == 1) if winner_1850s_wf != .  & majority_1850s != .;
gen loser_1850s_wf_min   = (winner_1850s_wf == 0)  * (majority_1850s == 0) if winner_1850s_wf != .  & majority_1850s != .;
gen loser_1860s_wf_maj   = (winner_1860s_wf == 0)  * (majority_1860s == 1) if winner_1860s_wf != .  & majority_1860s != .;
gen loser_1860s_wf_min   = (winner_1860s_wf == 0)  * (majority_1860s == 0) if winner_1860s_wf != .  & majority_1860s != .;
gen loser_1870s_wf_maj   = (winner_1870s_wf == 0)  * (majority_1870s == 1) if winner_1870s_wf != .  & majority_1870s != .;
gen loser_1870s_wf_min   = (winner_1870s_wf == 0)  * (majority_1870s == 0) if winner_1870s_wf != .  & majority_1870s != .;
gen winner_civwar_wf_maj = (winner_civwar_wf == 1) * (majority_1860s == 1) if winner_civwar_wf != . & majority_1860s != .;
gen winner_civwar_wf_min = (winner_civwar_wf == 1) * (majority_1860s == 0) if winner_civwar_wf != . & majority_1860s != .;
gen winner_nonwar_wf_maj = (winner_nonwar_wf == 1) * (majority_1860s == 1) if winner_nonwar_wf != . & majority_1860s != .;
gen winner_nonwar_wf_min = (winner_nonwar_wf == 1) * (majority_1860s == 0) if winner_nonwar_wf != . & majority_1860s != .;
gen loser_civwar_wf_maj  = (winner_civwar_wf == 0) * (majority_1860s == 1) if winner_civwar_wf != . & majority_1860s != .;
gen loser_civwar_wf_min  = (winner_civwar_wf == 0) * (majority_1860s == 0) if winner_civwar_wf != . & majority_1860s != .;
gen loser_nonwar_wf_maj  = (winner_nonwar_wf == 0) * (majority_1860s == 1) if winner_nonwar_wf != . & majority_1860s != .;
gen loser_nonwar_wf_min  = (winner_nonwar_wf == 0) * (majority_1860s == 0) if winner_nonwar_wf != . & majority_1860s != .;
replace winner_civwar_wf_maj = 0 if ran_civwar == 0;
replace winner_civwar_wf_min = 0 if ran_civwar == 0;
replace winner_nonwar_wf_maj = 0 if ran_nonwar == 0;
replace winner_nonwar_wf_maj = 0 if ran_nonwar == 0;
replace loser_civwar_wf_maj  = 0 if ran_civwar == 0;
replace loser_civwar_wf_min  = 0 if ran_civwar == 0;
replace loser_nonwar_wf_maj  = 0 if ran_nonwar == 0;
replace loser_nonwar_wf_maj  = 0 if ran_nonwar == 0;

qreg total_1860     real_1850      age_*  O_*  REGION*  fvs_1850s_d_1 fvs_1850s_d_1_w  winner_1850s_wf_maj  winner_1850s_wf_min                                              if abs(fvs_1850s - .5) <= .03 & ran_1850s == 1;
test winner_1850s_wf_maj=winner_1850s_wf_min;
reg  L_total_1860   L_real_1850    age_*  O_*  STATE*   fvs_1850s_d_1 fvs_1850s_d_1_w  winner_1850s_wf_maj  winner_1850s_wf_min                                              if abs(fvs_1850s - .5) <= .03 & ran_1850s == 1;
test winner_1850s_wf_maj=winner_1850s_wf_min;
reg  servants_1860  servants_1850  age_*  O_*  STATE*   fvs_1850s_d_1 fvs_1850s_d_1_w  winner_1850s_wf_maj  winner_1850s_wf_min                                              if abs(fvs_1850s - .5) <= .03 & ran_1850s == 1;
test winner_1850s_wf_maj=winner_1850s_wf_min;
qreg total_1870     total_1860     age_*  O_*  REGION*  fvs_1860s_d_1 fvs_1860s_d_1_w  winner_1860s_wf_maj  winner_1860s_wf_min                                              if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
test winner_1860s_wf_maj=winner_1860s_wf_min;
reg  L_total_1870   L_total_1860   age_*  O_*  STATE*   fvs_1860s_d_1 fvs_1860s_d_1_w  winner_1860s_wf_maj  winner_1860s_wf_min                                              if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
test winner_1860s_wf_maj=winner_1860s_wf_min;
reg  servants_1870  servants_1860  age_*  O_*  STATE*   fvs_1860s_d_1 fvs_1860s_d_1_w  winner_1860s_wf_maj  winner_1860s_wf_min                                              if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
test winner_1860s_wf_maj=winner_1860s_wf_min;
reg  servants_1880  servants_1870  age_*  O_*  STATE*   fvs_1870s_d_1 fvs_1870s_d_1_w  winner_1870s_wf_maj  winner_1870s_wf_min                                              if abs(fvs_1870s - .5) <= .03 & ran_1870s == 1;
test winner_1870s_wf_maj=winner_1870s_wf_min;

qreg total_1870     total_1860     age_*  O_*  REGION*  fvs_1860s_d_1 fvs_1860s_d_1_w  winner_civwar_wf_maj winner_civwar_wf_min winner_nonwar_wf_maj winner_nonwar_wf_min   if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
test winner_civwar_wf_maj=winner_civwar_wf_min;
test winner_nonwar_wf_maj=winner_nonwar_wf_min;
reg  L_total_1870   L_total_1860   age_*  O_*  STATE*   fvs_1860s_d_1 fvs_1860s_d_1_w  winner_civwar_wf_maj winner_civwar_wf_min winner_nonwar_wf_maj winner_nonwar_wf_min   if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
test winner_civwar_wf_maj=winner_civwar_wf_min;
test winner_nonwar_wf_maj=winner_nonwar_wf_min;
reg  servants_1870  servants_1860  age_*  O_*  STATE*   fvs_1860s_d_1 fvs_1860s_d_1_w  winner_civwar_wf_maj winner_civwar_wf_min winner_nonwar_wf_maj winner_nonwar_wf_min   if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1;
test winner_civwar_wf_maj=winner_civwar_wf_min;
test winner_nonwar_wf_maj=winner_nonwar_wf_min;



/* TABLE A.6, WEALTH ACCUMULATION AFTER LEAVING CONGRESS */

use replication_dataset_main, clear;

qreg total_1870     total_1860     age_*  O_*  REGION*  fvs_1850s_d_1 fvs_1850s_d_1_w  winner_1850s_wf                    if abs(fvs_1850s - .5) <= .03 & ran_1850s == 1 & served_1860s==0;
reg  L_total_1870   L_total_1860   age_*  O_*  STATE*   fvs_1850s_d_1 fvs_1850s_d_1_w  winner_1850s_wf                    if abs(fvs_1850s - .5) <= .03 & ran_1850s == 1 & served_1860s==0;
reg  servants_1870  servants_1860  age_*  O_*  STATE*   fvs_1850s_d_1 fvs_1850s_d_1_w  winner_1850s_wf                    if abs(fvs_1850s - .5) <= .03 & ran_1850s == 1 & served_1860s==0;
reg  servants_1880  servants_1870  age_*  O_*  STATE*   fvs_1860s_d_1 fvs_1860s_d_1_w  winner_1860s_wf                    if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1 & served_1870s==0;
reg  servants_1880  servants_1870  age_*  O_*  STATE*   fvs_1860s_d_1 fvs_1860s_d_1_w  winner_civwar_wf winner_nonwar_wf  if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1 & served_1870s==0;
test winner_civwar_wf=winner_nonwar_wf;


#delimit ;


/* TABLE B.1, SUMMARY STATISTICS ON ELECTIONS */

use replication_dataset_elections, clear;

gsort state name year;
count if name != name[_n-1];
count if name != name[_n-1] & democ_avg > .5 & democ_avg !=.;
count if name != name[_n-1] & repub_avg > .5 & repub_avg !=.;
count if name != name[_n-1] & whig_avg  > .5 & whig_avg  !=.;

keep if outcome==1;
drop if race==race[_n-1];
count if vote_share != .;
count if abs(vote_share - .5) <= .05;
count if abs(vote_share - .5) <= .03;

use replication_dataset_elections_wide, clear;

count if number_runs==1 & first_outcome==1;
count if number_runs==2 & first_outcome==1;
count if number_runs>=3 & first_outcome==1;
count if number_runs==1 & first_outcome==0;
count if number_runs==2 & first_outcome==0;
count if number_runs>=3 & first_outcome==0;

count if number_wins==0 & first_outcome==1;
count if number_wins==1 & first_outcome==1;
count if number_wins==2 & first_outcome==1;
count if number_wins>=3 & first_outcome==1;
count if number_wins==0 & first_outcome==0;
count if number_wins==1 & first_outcome==0;
count if number_wins==2 & first_outcome==0;
count if number_wins>=3 & first_outcome==0;

keep if abs(first_vote_share - .5) <= .03;

count if number_runs==1 & first_outcome==1;
count if number_runs==2 & first_outcome==1;
count if number_runs>=3 & first_outcome==1;
count if number_runs==1 & first_outcome==0;
count if number_runs==2 & first_outcome==0;
count if number_runs>=3 & first_outcome==0;

count if number_wins==0 & first_outcome==1;
count if number_wins==1 & first_outcome==1;
count if number_wins==2 & first_outcome==1;
count if number_wins>=3 & first_outcome==1;
count if number_wins==0 & first_outcome==0;
count if number_wins==1 & first_outcome==0;
count if number_wins==2 & first_outcome==0;
count if number_wins>=3 & first_outcome==0;


/* TABLE B.2, ASSESSING THE RELIABILITY OF THE CENSUS DATA (CHECKING NON-REPORTING AND INDIVIDUALS NOT FOUND) */

use replication_dataset_main, clear;

egen x = mean(L_real_1850);
gen L_real_1850m = L_real_1850 - x;
drop x;
egen x = mean(L_total_1860);
gen L_total_1860m = L_total_1860 - x;
drop x;
gen w_1850_L_real_1850m  = winner_1850s * L_real_1850m;
gen w_1860_L_total_1860m = winner_1860s * L_total_1860m;

reg  not_found_1860  winner_1850s  L_real_1850m  w_1850_L_real_1850m  age* O_* STATE* if abs(fvs_1850s - .5) <= .03 & ran_1850s == 1, robust;
reg  not_found_1870  winner_1860s  L_total_1860m w_1860_L_total_1860m age* O_* STATE* if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1, robust;
reg  no_report_1860  winner_1850s  L_real_1850m  w_1850_L_real_1850m  age* O_* STATE* if abs(fvs_1850s - .5) <= .03 & ran_1850s == 1, robust;
reg  no_report_1870  winner_1860s  L_total_1860m w_1860_L_total_1860m age* O_* STATE* if abs(fvs_1860s - .5) <= .03 & ran_1860s == 1, robust;



/* TABLE B.3, RICH MEN OF MASSACHUSETTS */

use replication_dataset_RMMA, clear;

corr L_real  L_wealth_RMMA             if census==1850;
corr L_real  L_wealth_RMMA             if census==1860;
corr L_total L_wealth_RMMA             if census==1860;
reg  L_real  L_wealth_RMMA held_office if census==1850;
reg  L_real  L_wealth_RMMA held_office if census==1860;
reg  L_total L_wealth_RMMA held_office if census==1860;



/* TABLE B.4, WISCONSIN RAILROAD SCANDAL */

use replication_dataset_WI, clear;

qreg total_1860 real_1850 rr_scandal_amount age age2;
reg total_1860 real_1850 rr_scandal_amount age age2;
reg log_total_1860 log_real_1850 log_rr_scandal_amount age age2;



/* TABLE C.1, BEFORE AND AFTER ANALYSIS */

use replication_dataset_main, clear;

qreg total_1860     real_1850      age_*  O_*  REGION*  s_early_1850_1860  if max_vote_share >= .25;
qreg total_1860     real_1850      age_*  O_*  REGION*  s_late_1850_1860   if max_vote_share >= .25;
reg  L_total_1860   L_real_1850    age_*  O_*  STATE*   s_early_1850_1860  if max_vote_share >= .25;
reg  L_total_1860   L_real_1850    age_*  O_*  STATE*   s_late_1850_1860   if max_vote_share >= .25;
reg  servants_1860  servants_1850  age_*  O_*  STATE*   s_early_1850_1860  if max_vote_share >= .25;
reg  servants_1860  servants_1850  age_*  O_*  STATE*   s_late_1850_1860   if max_vote_share >= .25;
qreg total_1870     total_1860     age_*  O_*  REGION*  s_early_1860_1870  if max_vote_share >= .25;
qreg total_1870     total_1860     age_*  O_*  REGION*  s_late_1860_1870   if max_vote_share >= .25;
reg  L_total_1870   L_total_1860   age_*  O_*  STATE*   s_early_1860_1870  if max_vote_share >= .25;
reg  L_total_1870   L_total_1860   age_*  O_*  STATE*   s_late_1860_1870   if max_vote_share >= .25;
reg  servants_1870  servants_1860  age_*  O_*  STATE*   s_early_1860_1870  if max_vote_share >= .25;
reg  servants_1870  servants_1860  age_*  O_*  STATE*   s_late_1860_1870   if max_vote_share >= .25;
reg  servants_1880  servants_1870  age_*  O_*  STATE*   s_early_1870_1880  if max_vote_share >= .25;


log close;
